/**
 * SLPDefaults.java
 *
 * (C) Copyright IBM Corp. 2005, 2006
 *
 * THIS FILE IS PROVIDED UNDER THE TERMS OF THE COMMON PUBLIC LICENSE 
 * ("AGREEMENT"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THIS FILE 
 * CONSTITUTES RECIPIENTS ACCEPTANCE OF THE AGREEMENT.
 *
 * You can obtain a current copy of the Common Public License from
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * @author: Roberto Pineiro, IBM, roberto.pineiro@us.ibm.com  
 * @author: Chung-hao Tan, IBM ,chungtan@us.ibm.com
 * 
 * Change History
 * Flag       Date        Prog         Description
 *------------------------------------------------------------------------------- 
 * 1516246    2006-07-22  lupusalex    Integrate SLP client code
 * 1535793    2006-09-14  lupusalex    Fix&Integrate CIM&SLP configuration classes
 */

package org.sblim.slp.internal;

import java.util.Locale;

import org.sblim.slp.ServiceType;

public interface SLPDefaults {

	public static final String ALL_AUTHORITIES = "*";

	public static final String BROADCAST_ADDRESS = "255.255.255.255";

	public static final String[] CONF_URLS = {
			"file:slp.conf",
			"file:" + System.getProperty("user.home") + System.getProperty("file.separator")
					+ "slp.conf", "file:/etc/java/slp.conf", "file:/etc/slp.conf"  };

	public static final int DA_DISCOVERY_TIMEOUTS[] = { 2000, 2000, 2000, 2000, 3000, 4000 };

	public static final ServiceType DA_SERVICE_TYPE = new ServiceType("service:directory-agent");

	public static final int DATAGRAM_TIMEOUTS[] = { 1000, 2000, 3000 };

	public static final String DEFAULT_SCOPE = "default";

	public static final int ACTIVE_DISCOVERY_GRANULARITY = 900;

	public static final int ACTIVE_DISCOVERY_INTERVAL = 900;

	public static final Locale LOCALE = new Locale("en", "");
	
	public static final String LOG_FILE = "slp.log";

	public static final String LOOPBACK_ADDRESS = "127.0.0.1";

	public static final String LOOPBACK_NAME = "localhost";

	public static final int MAXIMUM_RESULTS = 0x7fffffff;

	public static final int MTU = 1400;

	public static final String MULTICAST_ADDRESS = "239.255.255.253";

	public static final int MULTICAST_MAXIMUM_WAIT = 15000;

	public static final int MULTICAST_RADIUS = 255;

	public static final int MULTICAST_TIMEOUTS[] = { 2000, 2000, 2000, 2000, 3000, 4000 };

	public static final ServiceType SA_SERVICE_TYPE = new ServiceType("service:service-agent");

	public static final int SERVER_SOCKET_QUEUE_LENGTH = 10;

	public static final int SLP_PORT = 427;

	public static final int SLP_VERSION = 2;

	public static final int TCP_TIMEOUT = 20000;

}
