/**
 * SLPLimits.java
 *
 * (C) Copyright IBM Corp. 2006
 *
 * THIS FILE IS PROVIDED UNDER THE TERMS OF THE COMMON PUBLIC LICENSE 
 * ("AGREEMENT"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THIS FILE 
 * CONSTITUTES RECIPIENTS ACCEPTANCE OF THE AGREEMENT.
 *
 * You can obtain a current copy of the Common Public License from
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * @author: Alexander Wolf-Reber, IBM a.wolf-reber@de.ibm.com
 * 
 * Change History
 * Flag       Date        Prog         Description
 *------------------------------------------------------------------------------- 
 * 1535793    2006-09-14  lupusalex    Fix&Integrate CIM&SLP configuration classes
 */
package org.sblim.slp.internal;

public interface SLPLimits {

	public static final int MAX_DISCOVERY_GRANULARITY = 800;

	public static final int MAX_DISCOVERY_INTERVAL = 3 * 60 * 60; // 3h

	public static final int MAX_MTU = 8192;

	public static final int MAX_MULTICAST_MAXIMUM_WAIT = 60000;

	public static final int MAX_MULTICAST_RADIUS = 255;

	public static final int MAX_SERVER_SOCKET_QUEUE_LENGTH = 0x7fffffff;

	public static final int MAX_TCP_TIMEOUT = 360000;

	public static final int MIN_DISCOVERY_GRANULARITY = 0;

	public static final int MIN_DISCOVERY_INTERVAL = 0;

	public static final int MIN_MTU = 128;

	public static final int MIN_MULTICAST_MAXIMUM_WAIT = 1000;

	public static final int MIN_MULTICAST_RADIUS = 1;

	public static final int MIN_SERVER_SOCKET_QUEUE_LENGTH = 0;

	public static final int MIN_TCP_TIMEOUT = 100;

}
