/**
 * SLPServer.java
 *
 * (C) Copyright IBM Corp. 2005, 2006
 *
 * THIS FILE IS PROVIDED UNDER THE TERMS OF THE COMMON PUBLIC LICENSE 
 * ("AGREEMENT"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THIS FILE 
 * CONSTITUTES RECIPIENTS ACCEPTANCE OF THE AGREEMENT.
 *
 * You can obtain a current copy of the Common Public License from
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * @author: Roberto Pineiro, IBM, roberto.pineiro@us.ibm.com  
 * @author: Chung-hao Tan, IBM ,chungtan@us.ibm.com
 * 
 * Change History
 * Flag       Date        Prog         Description
 *------------------------------------------------------------------------------- 
 * 1516246    2006-07-22  lupusalex    Integrate SLP client code
 * 1535793    2006-09-14  lupusalex    Fix&Integrate CIM&SLP configuration classes
 */

package org.sblim.slp.internal;

import java.net.InetAddress;
import java.util.Iterator;
import java.util.List;

import org.sblim.slp.ServiceLocationException;

public class SLPServer {

	// private SLPConfig iConfig;

	protected SLPServer() {}

	public void start() {
		List interfaces = SLPConfig.getGlobalSLPConfig().getInterfaces();
		//
		Iterator iter = interfaces.iterator();
		while (iter.hasNext()) {
			InetAddress inetaddress = (InetAddress) iter.next();
			try {
				new SLPDatagramServer(inetaddress).start();
				new SLPStreamServer(inetaddress).start();
			} catch (ServiceLocationException e) {
				// TODO log this
				e.printStackTrace();
				return;
			}
		}
		while (true) {
			try {
				Thread.sleep(10000);
			} catch (InterruptedException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
		}
	}

	public void stop() {}

	public static void main(String[] args) {
		SLPServer slpd = new SLPServer();
		slpd.start();
	}
}
