/**
 * CIMGetQualifierTypeOp.java
 *
 * (C) Copyright IBM Corp. 2005, 2006
 *
 * THIS FILE IS PROVIDED UNDER THE TERMS OF THE COMMON PUBLIC LICENSE 
 * ("AGREEMENT"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THIS FILE 
 * CONSTITUTES RECIPIENTS ACCEPTANCE OF THE AGREEMENT.
 *
 * You can obtain a current copy of the Common Public License from
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * @author: Roberto Pineiro, IBM, roberto.pineiro@us.ibm.com  
 * @author: Chung-hao Tan, IBM ,chungtan@us.ibm.com
 * 
 * 
 * Change History
 * Flag       Date        Prog         Description
 *------------------------------------------------------------------------------- 
 * 1535756    2006-08-07  lupusalex    Make code warning free
 *
 */

package org.sblim.wbem.client.operations;

import org.sblim.wbem.cim.CIMObjectPath;

public class CIMGetQualifierTypeOp extends CIMSingleResultOperation {

	protected String iQualifierType;

	public CIMGetQualifierTypeOp(CIMObjectPath pObjectName, String pQualifierType) {
		iMethodCall = "GetQualifierType";
		iObjectName = pObjectName;
		iQualifierType = pQualifierType;
	}

	/**
	 * Returns qualifierType
	 * 
	 * @return The value of qualifierType.
	 */
	public String getQualifierType() {
		return iQualifierType;
	}

}
